Name: leptonica
Version: 1.80.0
Release: 2
License: Leptonica
Summary: C library for efficient image processing and image analysis operations
Url: http://www.leptonica.org

Source0: http://www.leptonica.org/source/leptonica-%{version}.tar.gz

Patch0: leptonica-use-bash.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: pkg-config
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libwebp-devel
BuildRequires: giflib-devel
BuildRequires: zlib-devel

%description
Leptonica is an open source library containing software that is broadly useful
for image processing and image analysis applications.


%package -n liblept5
Summary: Leptonica library

%description -n liblept5
Contains leptonica library files


%package devel
Summary: Leptonica development files
Requires: liblept5 = %{version}-%{release}

%description devel
Files needed to build against leptonica


%package tools
Summary: Leptonica utility tools
Requires: liblept5 = %{version}-%{release}

%description tools
Contains leptonica utility tools.


%prep
%setup -q
%patch0 -p1

%build
autoreconf -fiv

%configure \
   LDFLAGS="-Wl,-bbigtoc -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
   --enable-shared \
   --disable-static \
   --with-aix-soname=svr4 \
   #end

%make_build

%check
make check

%install
%make_install

%files tools
%defattr(-, qsys, *none)
%{_bindir}/*

%files -n liblept5
%defattr(-, qsys, *none)
%license leptonica-license.txt
%doc README.html version-notes.html
%{_libdir}/liblept.so.5

%files devel
%defattr(-, qsys, *none)
%{_libdir}/cmake/LeptonicaConfig-version.cmake
%{_libdir}/cmake/LeptonicaConfig.cmake
%{_libdir}/pkgconfig/lept.pc
%{_libdir}/libleptonica.so
%{_libdir}/liblept.so
%{_includedir}/%{name}/

%changelog
* Fri Nov 27 2020 Vasili Skurydzin <vasili.skurydzin@ibm.com> 
- Add initial spec file
